//script funcionalidad formulario
function generarOpcionOtro(nombIdContElmt, nombIdElmt) {
    let cont = document.getElementById(nombIdContElmt);
    let slct = document.getElementById(nombIdElmt);
    let idElmt = slct.id;
    let nombElmt = slct.name;
    let vlrSlct = slct.value;

    let inptOtroCred = document.getElementById("otro_" + idElmt)

    if (vlrSlct == "OTRO") {
        let inptOtro = document.createElement("input");

        inptOtro.id = "otro_" + idElmt;
        inptOtro.type = "text";
        inptOtro.name = "otro_" + nombElmt;
        inptOtro.required = true;

        cont.appendChild(inptOtro);
    } else if(inptOtroCred !== null) {
        cont.removeChild(inptOtroCred);
    }
}

function generarOpcionCual(nombIdContElmt, nombIdElmt) {
    let cont = document.getElementById(nombIdContElmt);
    let slct = document.getElementById(nombIdElmt);
    let idElmt = slct.id;
    let nombElmt = slct.name;
    let vlrSlct = slct.value;

    let contCualCread = document.getElementById("caja_cual_" + idElmt)

    if (vlrSlct == "Si") {
        let contCual = document.createElement("div");
        contCual.id = "caja_cual_" + idElmt;
        
        let lblCual = document.createElement("label");
        lblCual.textContent = "¿Cuál es?";
        
        let inptCual = document.createElement("input");
        inptCual.id = "cual_" + idElmt;
        inptCual.type = "text";
        inptCual.name = "cual_" + nombElmt;
        inptCual.required = true;
        
        contCual.appendChild(lblCual);
        contCual.appendChild(inptCual);

        cont.appendChild(contCual);
    } else if(contCualCread !== null) {

        cont.removeChild(contCualCread);
    }
} 
//fin funcionalidad formulario 

//script cuadro de dialogo
const dialog = document.getElementById('dialog');
const termsCheckbox = document.getElementById('termsCheckbox');
const acceptBtn = document.getElementById('acceptBtn');

window.onload = function() {
    dialog.showModal();
};

acceptBtn.addEventListener('click', function() {
    if (termsCheckbox.checked) {
        dialog.close();
        const overlay = document.querySelector('.overlay');
        overlay.parentNode.removeChild(overlay);
    } else {
        alert('Debe aceptar los términos y condiciones para continuar.');
    }
});
